From: "Randall S. Becker" <rsbec...@nexbridge.com>

The t9600-cvsimport test requires the cvs package to be installed on
the system on which the test is being run. The test will fail if cvs
is not installed. The patch checks that cvs is installed by running
the object without arguments, which should complete successfully if
available.

Signed-off-by: Randall S. Becker <rsbec...@nexbridge.com>
---
 t/t9600-cvsimport.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/t/t9600-cvsimport.sh b/t/t9600-cvsimport.sh
index 251fdd66c4..d6bf38918b 100755
--- a/t/t9600-cvsimport.sh
+++ b/t/t9600-cvsimport.sh
@@ -3,6 +3,13 @@
 test_description='git cvsimport basic tests'
 . ./lib-cvs.sh
 
+cvs >/dev/null 2>&1
+if test $? -ne 1
+then
+       skip_all='skipping git-cvsimport tests, cvs not found'
+       test_done
+fi
+
 if ! test_have_prereq NOT_ROOT; then
        skip_all='When cvs is compiled with CVS_BADROOT commits as root fail'
        test_done
-- 
2.22.0

Reply via email to